/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IQueuedMessage } from "@fluidframework/server-services-core";
import { ICheckpoint } from "./checkpointHelper";
interface IDocumentCheckpointManager {
    updateCheckpointMessages(message: IQueuedMessage): any;
    clearCheckpointIdleTimer(): void;
    resetCheckpointTimer(): void;
    updateCheckpointIdleTimer(timeout: number, idleTimeCheckpoint: (message: IQueuedMessage) => void, isDocumentCorrupt?: boolean): void;
    incrementRawMessageCounter(): void;
    resetRawMessageCounter(): void;
    getNoActiveClients(): boolean;
    setNoActiveClients(noActiveClients: boolean): void;
    getCheckpointInfo(): ICheckpoint;
}
export declare class DocumentCheckpointManager implements IDocumentCheckpointManager {
    private readonly checkpointInfo;
    private noActiveClients;
    constructor();
    updateCheckpointMessages(message: IQueuedMessage): void;
    clearCheckpointIdleTimer(): void;
    resetCheckpointTimer(): void;
    updateCheckpointIdleTimer(timeout: number, idleTimeCheckpoint: (message: IQueuedMessage) => void, isDocumentCorrupt?: boolean): void;
    incrementRawMessageCounter(): void;
    resetRawMessageCounter(): void;
    getNoActiveClients(): boolean;
    setNoActiveClients(noActiveClients: boolean): void;
    getCheckpointInfo(): ICheckpoint;
}
export {};
//# sourceMappingURL=documentLambdaCheckpointManager.d.ts.map